package esercizio1;

import java.awt.Color;

import javax.swing.JButton;

public class CalcButton extends JButton {

	public static final int GENERIC = 0;
	public static final int OPER = 1;
	public static final int NUMBER = 2;
	
	public CalcButton(String name, int type) {
		super();
		setText(name);
		switch(type) {
			case OPER:
				setBackground(new Color(255,125,0));
				setForeground(Color.WHITE);
				break;
			case NUMBER:
				setBackground(new Color(200,200,200));
				break;
			default:
				//setBackground(new Color(...));
				break;				
		}
		setOpaque(true);
		setBorderPainted(false);
	}	
	
}
