package esercizio1;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class Main {

	public static void main(String[] args) {
		JButton[] buttons = { new CalcButton("AC", CalcButton.GENERIC), new CalcButton("+/-", CalcButton.GENERIC),
				new CalcButton("%", CalcButton.GENERIC), new CalcButton("/", CalcButton.OPER),
				new CalcButton("7", CalcButton.NUMBER), new CalcButton("8", CalcButton.NUMBER),
				new CalcButton("9", CalcButton.NUMBER), new CalcButton("X", CalcButton.OPER),
				new CalcButton("4", CalcButton.NUMBER), new CalcButton("5", CalcButton.NUMBER),
				new CalcButton("6", CalcButton.NUMBER), new CalcButton("-", CalcButton.OPER),
				new CalcButton("1", CalcButton.NUMBER), new CalcButton("2", CalcButton.NUMBER),
				new CalcButton("3", CalcButton.NUMBER), new CalcButton("+", CalcButton.OPER),
				new CalcButton("0", CalcButton.NUMBER), new CalcButton(",", CalcButton.GENERIC),
				new CalcButton("mod", CalcButton.GENERIC), new CalcButton("=", CalcButton.OPER) };
		JFrame f = new JFrame("Calc");
		JTextField numberArea = new JTextField();
		numberArea.setPreferredSize(new Dimension(300, 50));
		numberArea.setFont(new Font("arial", Font.PLAIN, 48));
		numberArea.setBorder(BorderFactory.createEmptyBorder());
		JPanel p = new JPanel();
		p.setLayout(new GridLayout(5, 4, 1, 1));
		for (JButton b : buttons) {
			p.add(b);
		}
		f.add(numberArea, BorderLayout.PAGE_START);
		f.add(p, BorderLayout.CENTER);
		
		f.setSize(300, 450);
		f.setMinimumSize(new Dimension(300, 450));
		f.setVisible(true);
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
}
